MINTPY-INFO(1)

NAME
mintpy-info - Display Metadata / Structure information of ANY File

DESCRIPTION
usage: info.py [-h] [--compact] [--dset DSET] [--date] [--num] [--slice]

    [--show {dropped,kept,all}] file

Display Metadata / Structure information of ANY File

  positional arguments:

file
    File to check

  options:

-h, --help
    show this help message and exit

--compact
    show compact info by displaying only the top 20 metadata

--dset DSET
    Show dataset

  List:

    list date/slice info

--date
    Show date/date12 info of input file

--num
    Show date/date12 info with numbers

--slice
    Show slice list of the file

--show {dropped,kept,all}, --show-ifgram {dropped,kept,all}
    Show all / kept / dropped interferograms only. Default: all.

  example:

    info.py timeseries.h5 info.py velocity.h5 info.py ifgramStack.h5

    # Display dataset info.py timeseries.py --dset date info.py timeseries.py --dset bperp

    # Time / Date Info info.py ifgramStack.h5 --date #print date1_date2 info for all interferograms info.py timeseries.h5 --num #print date list of timeseries with its number info.py ifgramStack.h5 --date --show kept #print date1_date2 info for kept interferograms info.py ifgramStack.h5 --date --show dropped #print date1_date2 info for dropped/excluded interferograms info.py LS-PARAMS.h5 --date > date_list.txt #print date list of timeseries and save it to txt file. info.py S1_IW12_128_0593_0597_20141213_20180619.h5 --date

    # save date1_date2 info of interferograms to a text file info.py ifgramStack.h5 --date --show kept > date12_list.txt

    # Slice / Dataset Info info.py timeseries.h5 --slice info.py inputs/ifgramStack.h5 --slice info.py S1_IW12_128_0593_0597_20141213_20180619.h5 --slice info.py LS-PARAMS.h5 --slice